Subject: Re: Raising Show Steers and heifers

From: "M. Counides" <[email-masked]>
Date: 21 Jan 1996 11:51:02 -0700

You are quite correct I do not live in England.  I am in the state of 
Idaho in the USA.  Beefalo is a registered crossbreed of American Buffalo 
and various beef breeds including limosin. It is very hardy, low fat and 
calving ease like bison but easy to handle and faster maturity like the 
beef.  

I guess I am asking how animals are groomed?  How are they supposed to 
walk and stand?  What do judges look for?

Naomi Counides
Associated Beefalo of Idaho